<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.AutoM.fly.toMiner</name>
<version>3</version>
<engineversion>25</engineversion>
<description>Transfer ores to target</description>
<arguments>
<argument index="1" name="Transfer.toTarget" type="Var/Station/Carrier to dock at" desc="Target to transfer to" />
<argument index="2" name="mining.ship" type="Var/Ship" desc="Mining Ship" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;&#160;by&#160;&#160;Xai&#160;Corporation</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;Automining&#160;v2</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>rewrite&#160;in&#160;progress</var></comment></line>
<line linenr="005" indent=""></line>
<line linenr="006" indent=""><text>infinite&#160;loop&#160;detection&#160;enabled=</text><var>[TRUE]</var></line>
<line linenr="007" indent=""></line>
<line linenr="008" indent=""><var>skip&#160;if&#160;not&#160;</var><var>[DOCKEDAT]</var></line>
<line linenr="009" interruptable="@" indent="&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!move.undock</call><text>&#160;:&#160;</text></line>
<line linenr="010" indent=""></line>
<line linenr="011" indent=""><comment><text>*&#160;</text><var>If&#160;following&#160;mining&#160;ship,&#160;check&#160;it&#160;is&#160;still&#160;mining</var></comment></line>
<line linenr="012" indent=""><var>if&#160;</var><var>$mining.ship</var></line>
<line linenr="013" indent="&#160;"><var>if&#160;</var><var>$mining.ship&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="014" indent="&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;destination&#160;to&#160;</text><var>$mining.ship</var></line>
<line linenr="015" indent="&#160;&#160;"><var>$mining.ship.cmd&#160;=&#160;</var><var>$mining.ship&#160;-&gt;</var><text>&#160;get&#160;command</text></line>
<line linenr="016" indent="&#160;&#160;"><var>if&#160;</var><var>$mining.ship.cmd</var><text>&#160;</text><var>==</var><text>&#160;</text><var>COMMAND_XAI_AUTOM_MINING</var></line>
<line linenr="017" interruptable="@" indent="&#160;&#160;&#160;"><var>$arrived&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.Nav.toObject</call><text>&#160;:&#160;</text><text>&#160;Target=</text><var>$mining.ship</var><text>&#160;</text><text>&#160;Range=</text><var>2000</var></line>
<line linenr="018" indent="&#160;&#160;&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="019" indent="&#160;&#160;"><text>else</text></line>
<line linenr="020" indent="&#160;&#160;&#160;"><text>START&#160;</text><var>[THIS]&#160;-&gt;</var><text>&#160;command&#160;</text><var>COMMAND_FOLLOW</var><text>&#160;:&#160;arg1=</text><var>$mining.ship</var><text>,&#160;arg2=</text><var>null</var><text>,&#160;arg3=</text><var>null</var><text>,&#160;arg4=</text><var>null</var></line>
<line linenr="021" indent="&#160;&#160;"><text>end</text></line>
<line linenr="022" indent="&#160;"><text>end</text></line>
<line linenr="023" indent="&#160;"></line>
<line linenr="024" indent=""><text>end</text></line>
<line linenr="025" indent=""></line>
<line linenr="026" indent=""><comment><text>*&#160;</text><var>If&#160;no&#160;mining&#160;ship,&#160;follow&#160;player&#160;or&#160;land&#160;at&#160;nearest&#160;friendly&#160;base</var></comment></line>
<line linenr="027" indent=""><var>if&#160;</var><var>[PLAYERSHIP]&#160;-&gt;</var><text>&#160;is&#160;in&#160;same&#160;sector&#160;as&#160;</text><var>[THIS]</var></line>
<line linenr="028" indent="&#160;"><text>START&#160;</text><var>[THIS]&#160;-&gt;</var><text>&#160;command&#160;</text><var>COMMAND_FOLLOW</var><text>&#160;:&#160;arg1=</text><var>[PLAYERSHIP]</var><text>,&#160;arg2=</text><var>null</var><text>,&#160;arg3=</text><var>null</var><text>,&#160;arg4=</text><var>null</var></line>
<line linenr="029" indent=""><text>else</text></line>
<line linenr="030" indent="&#160;"><var>while&#160;not&#160;</var><var>[DOCKEDAT]</var></line>
<line linenr="031" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>150</var><text>&#160;ms</text></line>
<line linenr="032" interruptable="@" indent="&#160;&#160;"><var>$arrived&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.Nav</call><text>&#160;:&#160;</text><text>&#160;Target=</text><var>null</var><text>&#160;</text><text>&#160;Range=</text><var>null</var><text>&#160;</text><text>&#160;Sector&#160;Position=</text><var>null</var></line>
<line linenr="033" indent="&#160;"><text>end</text></line>
<line linenr="034" indent=""><text>end</text></line>
<line linenr="035" indent=""></line>
<line linenr="036" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.AutoM.fly.toMiner" /><sval type="int" val="25" /><sval type="string" val="Transfer ores to target" /><sval type="int" val="3" /><sval type="int" val="0" /><sval type="array" size="4"><sval type="string" val="Transfer.toTarget" /><sval type="string" val="mining.ship" /><sval type="string" val="mining.ship.cmd" /><sval type="string" val="arrived" /></sval><sval type="array" size="20"><sval type="array" size="3"><sval type="int" val="153" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610611960" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="!move.undock" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610609661" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-1610609661" /></sval><sval type="array" size="5"><sval type="int" val="519" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="4"><sval type="int" val="525" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610609917" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="18" /><sval type="int" val="520" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="lib.Xai.Nav.toObject" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="2000" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="12" /></sval><sval type="array" size="13"><sval type="int" val="514" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="733" /><sval type="int" val="131075" /><sval type="int" val="65539" /><sval type="int" val="-1610608893" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="13"><sval type="int" val="514" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="5" /><sval type="int" val="131075" /><sval type="int" val="65539" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="19" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536866038" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="150" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="lib.Xai.Nav" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="15" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="41" /><sval type="string" val="Target to transfer to" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="string" val="Mining Ship" /></sval></sval><sval type="array" size="19"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created  by  Xai Corporation" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of Automining v2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="rewrite in progress" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="3" /><sval type="int" val="1" /><sval type="string" val="If following mining ship, check it is still mining" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="12" /><sval type="int" val="1" /><sval type="string" val="If no mining ship, follow player or land at nearest friendly base" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
